package org.nissley.bluetooth_tester;

import android.content.Context;
import android.database.Cursor;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CursorAdapter;
import android.widget.TextView;

/**
 * Created by John Nissley on 1/13/2017.
 */

public class GPSRowCursorArrayAdaptor extends CursorAdapter {
    private LayoutInflater cursorInflator;
    // Default constructor
    public GPSRowCursorArrayAdaptor(Context context, Cursor cursor) {
        super(context, cursor, 0);
        cursorInflator = (LayoutInflater) context.getSystemService(context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public void bindView(View view, Context context, Cursor cursor) {
        TextView tvDateTime = (TextView) view.findViewById(R.id.tv_gps_date_time_txt);
        String dateTime = cursor.getString(cursor.getColumnIndex("date")) + " " + cursor.getString(cursor.getColumnIndex("time"));
        tvDateTime.setText(dateTime);
        TextView tvSats = (TextView) view.findViewById(R.id.tv_gps_sats_txt);
        String sats = cursor.getString(cursor.getColumnIndex("sats"));
        tvSats.setText(sats);
    }

    @Override
    public View newView(Context context, Cursor cursor, ViewGroup parent) {
        return cursorInflator.inflate(R.layout.gps_list_row, parent, false);
        //return LayoutInflater.from(context).inflate(R.layout.gps_list_row, parent, false);
    }
}
