package org.nissley.bluetooth_tester;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

/**
 * Created by John Nissley on 1/13/2017.
 */

public class MyDBHandler extends SQLiteOpenHelper {
    private static final int DATABASE_VERSION = 1;
    private static final String DATABASE_NAME = "gpsDB.db";
    private static final String TABLE_GPS = "gpsData";
    public MyDBHandler(Context context, String name,
                       SQLiteDatabase.CursorFactory factory, int version) {
        super(context, DATABASE_NAME, factory, DATABASE_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        String create_gps_table = "CREATE TABLE " + TABLE_GPS + "(date TEXT, time TEXT, entryType INTEGER, sats INTEGER, lat TEXT, lng TEXT, altitude INTEGER, speed INTEGER, accuracy INTEGER, PRIMARY KEY (date, time))";
        db.execSQL(create_gps_table);;
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion,
                          int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS " + TABLE_GPS);
        onCreate(db);
    }

    public void addGPSData (GPSRow GPSrow) {
        ContentValues values = new ContentValues();
        values.put("date", GPSrow.getDate());
        values.put("time", GPSrow.getTime());
        values.put("EntryType", GPSrow.getEntryType());
        values.put("sats", GPSrow.getSats());
        values.put("lat", GPSrow.getLat());
        values.put("lng", GPSrow.getLng());
        values.put("altitude", GPSrow.getAlt());
        values.put("speed", GPSrow.getSpeed());
        values.put("accuracy", GPSrow.getAccuracy());
        SQLiteDatabase db = this.getWritableDatabase();
        db.insert(TABLE_GPS, null, values);
        db.close();
    }

    public Cursor readAllData() {
        Cursor cursor = getReadableDatabase().rawQuery("select date, time, sats from " + TABLE_GPS, null);
        return cursor;
    }

    public void clearGPSData() {
        SQLiteDatabase db = this.getWritableDatabase();
        db.execSQL("delete from " + TABLE_GPS);
        db.close();
    }
}

